package asciiCommentfilter::Util;
use strict;
use base qw( Exporter );

our @EXPORT_OK = qw( is_filter is_log log );

sub is_filter {
    my ($id) = @_;
    my $plugin = MT::Plugin::asciiCommentfilter->instance;
    $plugin->get_config_value('asciiCommentfilter', "blog:$id");
}

sub is_log {
    my ($id) = @_;
    my $plugin = MT::Plugin::asciiCommentfilter->instance;
    $plugin->get_config_value('asciiCommentfilterLog', "blog:$id");
}

sub log {
    my ($app, $q, $message) = @_;
    my $plugin = MT::Plugin::asciiCommentfilter->instance;
    $app->log($plugin->translate($message) . "URL:" . $q->param('url') || ''. " IP:" . $app->param('ip'))
}

